Bug 228164 - Update net/corosync to 2.4.4
Summary: Update net/corosync to 2.4.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Florian Smeets
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-11 18:36 UTC by Florian Smeets
Modified: 2018-05-24 18:27 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (dpejesh)


Attachments
Update to 2.4.4 (801 bytes, patch)
2018-05-11 18:36 UTC, Florian Smeets
no flags Details | Diff
corosync2-2.4.4.diff (32.95 KB, patch)
2018-05-11 23:19 UTC, David Shane Holden
no flags Details | Diff
corosync3-2.99.2.shar (13.18 KB, text/plain)
2018-05-11 23:19 UTC, David Shane Holden
no flags Details
corosync2-2.4.4.diff (33.24 KB, patch)
2018-05-12 15:58 UTC, David Shane Holden
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Smeets freebsd_committer 2018-05-11 18:36:23 UTC
Created attachment 193288 [details]
Update to 2.4.4
Comment 1 David Shane Holden 2018-05-11 23:18:53 UTC
I have a slew of changes for the corosync/pacemaker ports which are all dependent on having libqb updated (bug 227563).  The reason I've been holding off on creating PRs for them is I didn't want to have to handcraft patchsets hardwired together spread across multiple PRs which would inevitably fail to apply cleanly so I was planning on piecemealing them in after each committed change.  For example I've attached a patch to rename corosync to corosync2 (along with the corosync3 shar) but that's dependent on the libqb patch being applied as is.  After that I was planning on submitted a change to create a DEFAULT_VERSIONS for corosync to select between 2 and 3 along with more changes to rename pacemaker to pacemaker1 and add a pacemaker2 port which would use that default version, as well as a corosync-qdevice port too which would require it.

If you want to update corosync/pacemaker/resource-agents the diffs look fine, but I plan on creating more PRs for reorganizing them afterwards.
Comment 2 David Shane Holden 2018-05-11 23:19:34 UTC
Created attachment 193303 [details]
corosync2-2.4.4.diff
Comment 3 David Shane Holden 2018-05-11 23:19:55 UTC
Created attachment 193304 [details]
corosync3-2.99.2.shar
Comment 4 David Shane Holden 2018-05-12 15:58:37 UTC
Created attachment 193328 [details]
corosync2-2.4.4.diff
Comment 5 commit-hook freebsd_committer 2018-05-24 18:25:52 UTC
A commit references this bug:

Author: flo
Date: Thu May 24 18:24:54 UTC 2018
New revision: 470799
URL: https://svnweb.freebsd.org/changeset/ports/470799

Log:
  - add net/corosync3 (2.99.2)
  - add net/pacemaker2 (2.0.0-rc4)
  - net/corosync -> net/corosync2 (update to 2.4.4)
  - net/pacemaker -> net/pacemaker1 (update to 1.1.18)
  - add USES=corosync to deal with multiple versions

  PR:		228164, 228165
  Submitted by:	David Shane Holden <dpejesh@yahoo.com>

Changes:
  head/MOVED
  head/Mk/Uses/corosync.mk
  head/net/Makefile
  head/net/corosync/
  head/net/corosync2/
  head/net/corosync2/Makefile
  head/net/corosync2/Makefile.common
  head/net/corosync2/distinfo
  head/net/corosync2/files/corosync.in
  head/net/corosync2/pkg-message
  head/net/corosync3/
  head/net/corosync3/Makefile
  head/net/corosync3/distinfo
  head/net/corosync3/files/corosync.in
  head/net/corosync3/pkg-message
  head/net/corosync3/pkg-plist
  head/net/pacemaker/
  head/net/pacemaker1/
  head/net/pacemaker1/Makefile
  head/net/pacemaker1/Makefile.common
  head/net/pacemaker1/distinfo
  head/net/pacemaker1/files/pacemaker.in
  head/net/pacemaker1/pkg-message
  head/net/pacemaker1/pkg-plist
  head/net/pacemaker2/
  head/net/pacemaker2/Makefile
  head/net/pacemaker2/distinfo
  head/net/pacemaker2/files/pacemaker.in
  head/net/pacemaker2/files/patch-crmd_pengine.c
  head/net/pacemaker2/files/patch-daemons_execd_Makefile.am
  head/net/pacemaker2/files/patch-daemons_pacemakerd_Makefile.am
  head/net/pacemaker2/files/patch-lrmd_Makefile.am
  head/net/pacemaker2/files/patch-mcp_Makefile.am
  head/net/pacemaker2/pkg-message
  head/net/pacemaker2/pkg-plist
Comment 6 Florian Smeets freebsd_committer 2018-05-24 18:26:29 UTC
Committed. Thanks.